{
  config,
  lib,
  ...
}:
let
  inherit (config.rose-pine) sources;

  cfg = config.programs.foot.rose-pine;
  enable = cfg.enable && config.programs.foot.enable;

  themeName = lib.rp.getKebabTheme cfg.flavor;
in
{
  options.programs.foot.rose-pine = lib.rp.mkRosePineOpt { name = "foot"; };

  config.programs.foot = lib.mkIf enable {
    settings.main.include = sources.foot + "/${themeName}.ini";
  };
}
