{
  config,
  lib,
  ...
}:
let
  inherit (config.rose-pine) sources;

  cfg = config.wayland.windowManager.sway.rose-pine;
  enable = cfg.enable && config.wayland.windowManager.sway.enable;

  theme = "${sources.sway}/themes/${lib.rp.getKebabTheme cfg.flavor}.theme";
in
{
  options.wayland.windowManager.sway.rose-pine = lib.rp.mkRosePineOpt { name = "sway"; };

  config = lib.mkIf enable {
    wayland.windowManager.sway.extraConfigEarly = ''
      include ${theme}
    '';
  };
}
