{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (config.rose-pine) sources;

  cfg = config.services.displayManager.sddm.rose-pine;
  enable = cfg.enable && config.services.displayManager.sddm.enable;
in
{
  options.services.displayManager.sddm.rose-pine = lib.rp.mkRosePineOpt { name = "sddm"; };

  config = lib.mkIf enable {
    services.displayManager.sddm.theme = "rose-pine";

    environment.systemPackages = [
      (pkgs.callPackage ./sddm-rose-pine-pkg.nix { inherit sources; })
    ];
  };
}
