{lib, ...}: {
  imports = [
    ../modules/home-manager
    ./common.nix
  ];

  xdg.enable = true;

  home = {
    username = "test";
    stateVersion = lib.mkDefault "23.11";
  };

  manual.manpages.enable = lib.mkDefault false;

  i18n.inputMethod.enabled = "fcitx5";

  programs = {
    alacritty.enable = true;
    bat.enable = true;
    btop.enable = true;
    cava.enable = true;
    fish.enable = true;
    foot.enable = true;
    fzf.enable = true;
    helix.enable = true;
    k9s.enable = true;
    kitty.enable = true;
    neovim.enable = true;
    rio.enable = true;
    rofi.enable = true;
    starship.enable = true;
    swaylock.enable = true;
    tmux.enable = true;
    waybar.enable = true;
    zathura.enable = true;
    zellij.enable = true;
  };

  services = {
    dunst.enable = true;
    mako.enable = true;
    polybar = {
      enable = true;
      script = ''
        polybar top &
      '';
    };
    swaync.enable = true;
  };

  wayland.windowManager.sway.enable = true;
  wayland.windowManager.hyprland.enable = true;
}
